Video API, REST: Video.Update
Updates an existing video's metadata and settings.
Only fields specified in the field_mask will be updated.
HTTP request
PATCH https://video.api.yandexcloud.kz/video/v1/videos/{videoId}
Path parameters
|
Field |
Description |
|
videoId |
string Required field. ID of the video to update. The maximum string length in characters is 50. |
Body parameters
{
"fieldMask": "string",
"title": "string",
"description": "string",
"thumbnailId": "string",
"autoTranscode": "string",
"stylePresetId": "string",
"enableAd": "boolean",
"labels": "object",
// Includes only one of the fields `publicAccess`, `signUrlAccess`
"publicAccess": "object",
"signUrlAccess": "object"
// end of the list of possible fields
}
|
Field |
Description |
|
fieldMask |
string (field-mask) Required field. A comma-separated names off ALL fields to be updated. If |
|
title |
string New title for the video. The maximum string length in characters is 300. |
|
description |
string New description for the video. The maximum string length in characters is 5000. |
|
thumbnailId |
string New thumbnail ID for the video. The maximum string length in characters is 50. |
|
autoTranscode |
enum (AutoTranscode) New auto-transcoding setting for the video.
|
|
stylePresetId |
string New style preset ID for the video. The maximum string length in characters is 50. |
|
enableAd |
boolean New advertisement setting for the video. |
|
labels |
object (map<string, string>) New custom labels for the video as The maximum string length in characters for each value is 63. The maximum string length in characters for each key is 63. Each key must match the regular expression |
|
publicAccess |
object Makes the video publicly accessible to anyone with the direct link. Includes only one of the fields New access rights setting for the video. |
|
signUrlAccess |
object Restricts video access using URL signatures for secure time-limited access. Includes only one of the fields New access rights setting for the video. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |